-- Localisation file
-- "frFR": franais 
-- "deDE": allemand 
-- "usEN": anglais 
-- "zhCN": chinois (by Guichong on CurseGaming)

-- Traduction par vjeux
-- : C3 A9  - \195\169
-- : C3 AA  - \195\170
-- : C3 A0  - \195\160
-- : C3 AE  - \195\174
-- : C3 A8  - \195\168
-- : C3 AB  - \195\171
-- : C3 B4  - \195\180
-- : C3 BB  - \195\187
-- : C3 A2  - \195\162
-- : C3 A7  - \185\167
-- 
-- ': E2 80 99  - \226\128\153

RSH_HELP1 = "RogueStunHelper"
RSH_HELP2 = "/rsh on/off"
RSH_HELP3 = "/rsh unlock/lock (Show/Hide RogueStunHelper windows to move it around)"
RSH_HELP4 = "/rsh clear (Remove the saved parameters)"
RSH_HELP5 = "/rsh list (list Skills & their actual duration)"
RSH_Skill_CheapShot = "Cheap Shot"
RSH_Skill_Gouge = "Gouge"
RSH_Skill_KidneyShot = "Kidney Shot"
RSH_Skill_Distract = "Distract"
RSH_Skill_Sap = "Sap"
RSH_Skill_Blind = "Blind"

-- Phrases types  dtecter
-- AURAADDEDOTHERHARMFUL = "%s subit les effets de %s."; -- Combat log text for aura events
-- AURADISPELOTHER = "%s n'est plus sous l'influence de %s.";
-- AURAREMOVEDOTHER = "%s sur %s vient de se dissiper."; -- Combat log text for aura events
-- string.gsub(AURAADDEDOTHERHARMFUL,'%%s','(.+)')
-- SIMPLEPERFORMSELFOTHER = "Vous excutez %s sur %s."; (distract)

RSH_TEXT_ON = string.gsub(AURAADDEDOTHERHARMFUL,'%%s','(.+)')
RSH_TEXT2_ON = string.gsub(SIMPLEPERFORMSELFOTHER,'%%s','(.+)')
RSH_TEXT_BREAK = string.gsub(AURADISPELOTHER,'%%s','(.+)')
RSH_TEXT_OFF = string.gsub(AURAREMOVEDOTHER,'%%s','(.+)')


if (GetLocale() == "frFR") then 
	RSH_HELP3 = "/rsh unlock/lock (Affiche les fenetres pour les positionner)"
	RSH_HELP4 = "/rsh clear (efface les parametres enregistres)"
	RSH_HELP5 = "/rsh list (affiche les Skills et leur durée actuelle)"
	RSH_Skill_CheapShot = "Coup bas"
	RSH_Skill_Gouge = "Suriner"
	RSH_Skill_KidneyShot = "Aiguillon perfide"
	RSH_Skill_Distract = "Distraction"
	RSH_Skill_Sap = "Assommer"
	RSH_Skill_Blind = "C\195\169cit\195\169"

elseif (GetLocale() == "deDE") then
	RSH_Skill_CheapShot = "Fieser Trick"
	RSH_Skill_Gouge = "Solarplexus"
	RSH_Skill_KidneyShot = "Nierenhieb"
	RSH_Skill_Distract = "Ablenkung"
	RSH_Skill_Sap = "Kopfnuss"
	RSH_Skill_Blind = "Blenden"
	
	RSH_TEXT_ON = string.gsub(AURAADDEDOTHERHARMFUL,'%%1$s','(.+)')
	RSH_TEXT_ON = string.gsub(RSH_TEXT_ON,'%%2$s','(.+)')
	RSH_TEXT2_ON = string.gsub(SIMPLEPERFORMSELFOTHER,'%%1$s','(.+)')
	RSH_TEXT2_ON = string.gsub(RSH_TEXT2_ON,'%%2$s','(.+)')
	RSH_TEXT_BREAK = string.gsub(AURADISPELOTHER,'%%1$s','(.+)')
	RSH_TEXT_BREAK = string.gsub(RSH_TEXT_BREAK,'%%2$s','(.+)')
	RSH_TEXT_OFF = string.gsub(AURAREMOVEDOTHER,'%%1$s','(.+)')
	RSH_TEXT_OFF = string.gsub(RSH_TEXT_OFF,'%%2$s','(.+)')
elseif (GetLocale() == "usEN") then
-- TODO
elseif (GetLocale() == "zhCN") then
-- TODO
end